#include "ClassDemo.hpp"

// ignore this warning... its VS...
THEO_OBFUSCATE(extern "C" int main()
{
	AllocConsole();
	freopen("conin$", "r", stdin);
	freopen("conout$", "w", stdout);
	freopen("conout$", "w", stderr);
	printf("hello world\n");
	getchar();

	MessageBoxA(0, "Demo", "Hello From main!", 0);
	UsermodeMutateDemo();
	UsermodeNoObfuscation();

	VirtualFuncDemo DemoInstance = Demo();
	DemoInstance.PrintTest();

	VirtualFuncDemo Demo2Instance = Demo2();
	Demo2Instance.PrintTest();
})